diff --git a/src/gui/res/lang/gui_vi.ts b/src/gui/res/lang/gui_vi.ts
index 0e17aab2..6fd2c831 100644
--- a/src/gui/res/lang/gui_vi.ts
+++ b/src/gui/res/lang/gui_vi.ts
@@ -518,13 +665,23 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -548,12 +705,12 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="57"/>
         <source>&amp;Add</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Thêm</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="74"/>
         <source>&amp;Remove</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Xóa</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="97"/>
@@ -563,7 +720,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="106"/>
         <source>&amp;Shift:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Shift: </translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="117"/>
@@ -572,7 +729,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="258"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="305"/>
         <source>Shift</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Shift</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="122"/>
@@ -581,7 +738,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="263"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="310"/>
         <source>Ctrl</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Ctrl </translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="127"/>
@@ -590,7 +747,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="268"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="315"/>
         <source>Alt</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Alt</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="132"/>
@@ -617,12 +774,12 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="283"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="330"/>
         <source>None</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Không</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="150"/>
         <source>&amp;Ctrl:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Ctrl:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="197"/>
@@ -703,164 +860,177 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="unfinished"></translation>
     </message>
 </context>
+<context>
+    <name>ServerConfigDialog</name>
+    <message>
+        <location filename="src/ServerConfigDialog.cpp" line="75"/>
+        <source>Configure server</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>ServerConfigDialogBase</name>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="13"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="14"/>
         <source>Server Configuration</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="23"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="24"/>
         <source>Screens and links</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="34"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="35"/>
         <source>Drag a screen from the grid to the trashcan to remove it.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="59"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="60"/>
         <source>Configure the layout of your synergy server configuration.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="72"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="73"/>
         <source>Drag this button to the grid to add a new screen.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="127"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="128"/>
         <source>Drag new screens to the grid or move existing ones around.
 Drag a screen to the trashcan to delete it.
 Double click on a screen to edit its settings.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="156"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="157"/>
         <source>Hotkeys</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="162"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="163"/>
         <source>&amp;Hotkeys</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="174"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="175"/>
         <source>&amp;New</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="184"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="185"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="194"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="195"/>
         <source>&amp;Remove</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Xóa</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="217"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="218"/>
         <source>A&amp;ctions</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="229"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="230"/>
         <source>Ne&amp;w</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="239"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="240"/>
         <source>E&amp;dit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="249"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="250"/>
         <source>Re&amp;move</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="273"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="274"/>
         <source>Advanced server settings</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="279"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="280"/>
         <source>&amp;Switch</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="290"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="291"/>
         <source>Switch &amp;after waiting</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="329"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="382"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="457"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="330"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="383"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="458"/>
         <source>ms</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="343"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="344"/>
         <source>Switch on double &amp;tap within</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="407"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="408"/>
         <source>&amp;Options</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="418"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="419"/>
         <source>&amp;Check clients every</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="469"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="470"/>
         <source>Use &amp;relative mouse moves</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="479"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="480"/>
         <source>S&amp;ynchronize screen savers</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="489"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="490"/>
         <source>Don't take &amp;foreground window on Windows servers</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="512"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="510"/>
+        <source>Ignore auto config clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/ServerConfigDialogBase.ui" line="520"/>
         <source>&amp;Dead corners</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="521"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="529"/>
         <source>To&amp;p-left</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="528"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="536"/>
         <source>Top-rig&amp;ht</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="535"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="543"/>
         <source>&amp;Bottom-left</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="542"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="550"/>
         <source>Bottom-ri&amp;ght</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="564"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="572"/>
         <source>Cor&amp;ner Size:</source>
         <translation type="unfinished"></translation>
     </message>
@@ -868,13 +1038,20 @@ Double click on a screen to edit its settings.</source>
 <context>
     <name>SettingsDialog</name>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="62"/>
-        <source>Encryption password must not be empty.</source>
+        <location filename="src/SettingsDialog.cpp" line="131"/>
+        <source>Save log file to...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="121"/>
-        <source>Save log file to...</source>
+        <location filename="src/SettingsDialog.cpp" line="151"/>
+        <source>Elevate Synergy</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="152"/>
+        <source>Are you sure you want to elevate Synergy?
+
+This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -883,135 +1060,105 @@ Double click on a screen to edit its settings.</source>
     <message>
         <location filename="res/SettingsDialogBase.ui" line="14"/>
         <source>Settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Cài đặt</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="165"/>
-        <source>&amp;Advanced</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="177"/>
+        <location filename="res/SettingsDialogBase.ui" line="32"/>
         <source>Sc&amp;reen name:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="194"/>
+        <location filename="res/SettingsDialogBase.ui" line="49"/>
         <source>P&amp;ort:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="223"/>
+        <location filename="res/SettingsDialogBase.ui" line="78"/>
         <source>&amp;Interface:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="26"/>
-        <source>&amp;Start Synergy after logging in</source>
+        <location filename="res/SettingsDialogBase.ui" line="120"/>
+        <source>Elevate mode</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="33"/>
-        <source>&amp;Automatically start server/client</source>
+        <location filename="res/SettingsDialogBase.ui" line="127"/>
+        <source>&amp;Hide on startup</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="40"/>
-        <source>&amp;Hide when server/client starts</source>
+        <location filename="res/SettingsDialogBase.ui" line="146"/>
+        <source>&amp;Network Security</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="273"/>
+        <location filename="res/SettingsDialogBase.ui" line="155"/>
+        <source>Use &amp;SSL encryption (unique certificate)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SettingsDialogBase.ui" line="184"/>
         <source>Logging</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="240"/>
-        <source>&amp;Process mode:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="251"/>
-        <source>Service</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="256"/>
-        <source>Desktop (legacy)</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="291"/>
+        <location filename="res/SettingsDialogBase.ui" line="202"/>
         <source>&amp;Logging level:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="340"/>
+        <location filename="res/SettingsDialogBase.ui" line="251"/>
         <source>Log to file:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="357"/>
+        <location filename="res/SettingsDialogBase.ui" line="268"/>
         <source>Browse...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="302"/>
+        <location filename="res/SettingsDialogBase.ui" line="213"/>
         <source>Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="20"/>
-        <source>&amp;Graphical interface</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="55"/>
+        <location filename="res/SettingsDialogBase.ui" line="107"/>
         <source>&amp;Language:</source>
+        <translation type="finished">Ngôn ngữ:</translation>
+    </message>
+    <message>
+        <location filename="res/SettingsDialogBase.ui" line="20"/>
+        <source>&amp;Miscellaneous</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="82"/>
-        <source>&amp;Encryption</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="97"/>
-        <source>&amp;Mode:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="142"/>
-        <source>Pass&amp;word:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="307"/>
+        <location filename="res/SettingsDialogBase.ui" line="218"/>
         <source>Warning</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="312"/>
+        <location filename="res/SettingsDialogBase.ui" line="223"/>
         <source>Note</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="317"/>
+        <location filename="res/SettingsDialogBase.ui" line="228"/>
         <source>Info</source>
         <translation type="finished">Thông tin</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="322"/>
+        <location filename="res/SettingsDialogBase.ui" line="233"/>
         <source>Debug</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="327"/>
+        <location filename="res/SettingsDialogBase.ui" line="238"/>
         <source>Debug1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="332"/>
+        <location filename="res/SettingsDialogBase.ui" line="243"/>
         <source>Debug2</source>
         <translation type="unfinished"></translation>
     </message>
